## ros-humble-libcamera 0.1.0

=== debian/changelog ===
ros-humble-libcamera (0.1.0-3bookworm) bookworm; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Christian Rauch <Rauch.Christian@gmx.de>  Mon, 23 Sep 2024 14:30:43 -0000
